<div class="" 
style="margin: 0px; padding: 0px;  
width: 100%; height: 100%;
z-index: 999; position: absolute; top: 0; left: 0;">
<div class="container">
        <div class="" tabindex="-1" role="dialog">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Ticket numero {{ticketForm.ReceiptID}}</h5>
                    <button type="button" class="close" (click)="onClose()" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div>
                        <form [formGroup]="ticketForm">
                            <div class="form-row">
                                <div class="form-group col-md-4">
                                    <label for="inputCurrency">Moneda</label>
                                    <input type="text" 
                                    name="inputCurrency" 
                                    id="inputCurrency"
                                    class="form-control col-12 col-md-12"
                                    formControlName="currency">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="inputAmount">Monto</label>
                                    <input type="text" 
                                    name="inputAmount" 
                                    id="inputAmount"
                                    class="form-control col-12 col-md-12"
                                    formControlName="amount">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="inputProvider">Proveedor</label>
                                    <select 
                                    class="custom-select" 
                                    name="inputProvider" 
                                    required
                                    formControlName="provider">
                                        <option [attr.value]="ticketReceipt.providerId" selected>{{ticketReceipt.name}}</option>
                                        <option *ngFor="let provider of providerCollection; let i index" 
                                        [attr.value]="provider.id">{{provider.value}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    <label for="inputComments">Comentarios</label>
                                    <input type="text" 
                                    name="inputComments" 
                                    id="inputComments"
                                    class="form-control col-12 col-md-12"
                                    formControlName="comments">
                                </div>
                            </div>

                        </form>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" (click)="onClose()">Descartar</button>
                    <button type="button" class="btn btn-primary" (click)="onEdit()">Guardar</button>
                </div>
                </div>
            </div>
        </div>
</div>
</div>





      
